//-------------------------------------------------------------------------------------------------------
//
// DE_Auswertung - Header
//
//-------------------------------------------------------------------------------------------------------


//-------------------------------------------------------------------------------------------------------
// Timer0 berlaufinterrupt fr Entprellung

//ISR(TIMER0_OVF_vect);  // 10ms


//-------------------------------------------------------------------------------------------------------
// Initialisierung

void F_DE_init(void);


//-------------------------------------------------------------------------------------------------------
// Entprellfunktionen

// Prft ob ein DE bettigt wurde. Jede Bettigung wrid nur 1x erkannt.
uint16_t F_DE_erkannt(uint16_t DE_Maske);

// Prft ob ein DE lang genug bettigt wurde damit die Wiederholfunktion startet.
// Diese Funktion simuliert, dass der DE togglet.
uint16_t F_DE_repeat(uint16_t DE_Maske);

// Prft ob ein DE genau jetzt bettigt ist
uint16_t F_DE_status(uint16_t DE_Maske);

// Prft ob ein DE 1x kurz bettigt wurde
uint16_t F_DE_1kurz(uint16_t DE_Maske);

// Prft ob ein DE 2x kurz bettigt wurde
uint16_t F_DE_2kurz(uint16_t DE_Maske);

// Prft ob ein DE lang bettigt wurde
uint16_t F_DE_lang(uint16_t DE_Maske);

// Prft ob fallende Flanke
uint16_t F_DE_fla_fall(uint16_t DE_Maske);

// Prft ob steigende Flanke
uint16_t F_DE_fla_steig(uint16_t DE_Maske);
